<template>
  <div class="models-container">
    <h2 class="title is-2">
      conoce nuestras modelos
    </h2>
    <b-columns is-multiline>
      <b-column
        v-for="(model, index) in models"
        :key="index"
        class="is-12-mobile is-6-tablet is-4-desktop is-3-fullhd"
      >
        <div class="model-container">
          <img
            :src="model.img"
            :alt="model.name"
          >
          <div class="filter" />
          <h3 class="title is-3">
            {{ model.name }}
          </h3>
        </div>
      </b-column>
    </b-columns>
    <b-columns is-multiline>
      <b-column class="is-12-mobile is-6 men-model-container">
        <img
          class="men-model"
          src="/images/about2.png"
          alt="men-models"
        >
      </b-column>
      <b-column class="is-12-mobile is-6 testimonies">
        <h2 class="title is-2 testimonies-title">
          testimonios
        </h2>
        <div
          class="content"
          v-for="(testimony, index) in testimonies"
          v-show="index === currentTestimony"
          :key="index"
        >
          <p>
            {{ testimony.text }}
          </p>
          <strong>
            {{ testimony.author }}
          </strong>
          <p>
            {{ testimony.datetime }}
          </p>
        </div>
        <ul class="paginator">
          <li
            class="page is-unselectable"
            v-for="(testimony, index) in testimonies"
            :key="index"
            @click="onChangeTestimony(index)"
          >
            <i class="material-icons">
              {{ isChecked(index) }}
            </i>
          </li>
        </ul>
      </b-column>
    </b-columns>
  </div>
</template>

<script>
export default {
  name: 'TheModels',
  data () {
    return {
      models: [
        { img: '/images/bg_model_card_1.jpg', name: 'ANNE HARKINS' },
        { img: '/images/bg_model_card_2.jpg', name: 'ELISABETH RILLIE' },
        { img: '/images/bg_model_card_3.jpg', name: 'ELLA WINKLES' },
        { img: '/images/bg_model_card_4.jpg', name: 'EMILY WHISKERS' },
        { img: '/images/bg_model_card_5.jpg', name: 'JANE TRADES' },
        { img: '/images/bg_model_card_6.jpg', name: 'KARLA ITCHES' },
        { img: '/images/bg_model_card_7.jpg', name: 'MARY HENDERS' },
        { img: '/images/bg_model_card_8.jpg', name: 'STACY DEAN' }
      ],
      testimonies: [
        {
          text: 'As a little girl, I’ve always been fascinated with those gorgeous confident women who walked up there, on a catwalk… So as soon as I turned 17 I used my chance and enrolled into the modeling school here!',
          author: 'Mary Hence',
          datetime: '- June 10, 2016'
        },
        {
          text: 'This work as a model has helped me to experience so many awesome things in this world! I am able to both travel all around the world while working and also enjoy the way I look!',
          author: 'Gary Growles',
          datetime: '- June 10, 2016'
        },
        {
          text: 'Since the times I was young I’ve always wanted to become something more. So right after my high school prom I’ve packed my stuff, moved to LA and became a professional model!',
          author: 'Regina Wiilson',
          datetime: '- June 10, 2016'
        }
      ],
      currentTestimony: 0
    }
  },
  computed: {
    isChecked () {
      return (index) => index === this.currentTestimony ? 'radio_button_checked' : 'radio_button_unchecked'
    }
  },
  methods: {
    onChangeTestimony (index) {
      this.currentTestimony = index
    }
  }
}
</script>

<style scoped>
  h2.title.is-2 {
    font-style: normal;
    font-size: 2rem;
    font-weight: 400;
    line-height: 1.2;
    font-family: Dosis, sans-serif;
    letter-spacing: 0.03em;
    text-align: inherit;
    text-transform: uppercase;
    color: #212121;
    border-bottom: solid 4px #ddb0b7;
    padding-bottom: 1rem;
    margin: 1rem 3rem;
    text-align: center;
  }

  .model-container {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .model-container .filter {
    display: none;
    position: absolute;
    z-index: 2;
    background: rgba(221, 176 ,183, .5);
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
  }

  h3.title.is-3 {
    display: none;
    position: absolute;
    z-index: 3;
  }

  .model-container:hover .filter,
  .model-container:hover .title.is-3 {
    display: inherit;
  }

  .men-model {
    padding: 0 1rem 1rem 1rem;
  }

  h2.title.is-2.testimonies-title {
    margin-top: 0;
  }

  .testimonies .content {
    padding: 1.5rem;
  }

  .testimonies .content p {
    font-family: Dosis, sans-serif;
    margin-bottom: 1rem;
  }

  .paginator {
    padding: 0 1.5rem;
    bottom: .5rem;
    display: flex;
    color: #cb97a0;
  }

  .paginator li {
    cursor: pointer;
  }

  .paginator .page {
    padding: .25rem
  }

  .content {
    margin-bottom: 0;
  }

  .men-model-container {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  @media screen and (max-width: 768px) {
    .paginator {
      justify-content: center;
    }
  }
</style>
